package com.inspect.metadata.mqtt.service;

import com.inspect.metadata.mqtt.domain.HrMaintenance;

import java.util.List;

public interface IHrMaintenanceService {
    List<HrMaintenance> selectMaintenanceList(HrMaintenance maintenance);

    int insertMaintenance(HrMaintenance maintenance);

    int updateMaintenance(HrMaintenance maintenance);

    int deleteMaintenanceByIds(String ids);

    HrMaintenance selectMaintenanceById(Long maintenanceId);
}
